# ListExtensions<T> extension

on
  - List<T>

## Properties

isOneAKind → bool

  Available on List<T>, provided by the ListExtensions extension

  Checks if all list data have same value.
  no setter

## Methods

addAllIf(ConditionTester<T> condition, Iterable<T> items) → void

  Available on List<T>, provided by the ListExtensions extension

  Adds all items from another list to a list if a condition is met.
addIf(ConditionTester<T> condition, T element) → void

  Available on List<T>, provided by the ListExtensions extension

  Adds an item to a list if a condition is met.
pop() → T?

  Available on List<T>, provided by the ListExtensions extension

  Removes and returns the last element of the list.
removeAllIf(ConditionTester<T> condition, Iterable<T> items) → void

  Available on List<T>, provided by the ListExtensions extension

  Removes all items from another list if a condition is met.
removeIf(ConditionTester<T> condition, T element) → void

  Available on List<T>, provided by the ListExtensions extension

  Removes an item from a list if a condition is met.
reverse() → List<T>

  Available on List<T>, provided by the ListExtensions extension

  Returns a new list with the elements in reverse order.
shift() → T?

  Available on List<T>, provided by the ListExtensions extension

  Removes and returns the first element of the list.